org.eclipse.lyo.oslc4j.core.model

## Class ServiceProviderCatalog

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.ServiceProviderCatalog

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Service Provider Catalog Resource Shape",
                         describes="http://open-services.net/ns/core#ServiceProviderCatalog")
      public class ServiceProviderCatalog
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceProviderCatalog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDomain(URI domain)`
    `void` | `addDomains(Collection<URI> domains)`
    `void` | `addServiceProvider(ServiceProvider serviceProvider)`
    `String` | `getDescription()`
    `URI[]` | `getDomains()`
    `OAuthConfiguration` | `getOauthConfiguration()`
    `Publisher` | `getPublisher()`
    `URI[]` | `getReferencedServiceProviderCatalogs()`
    `ServiceProvider[]` | `getServiceProviders()`
    `String` | `getTitle()`
    `void` | `removeDomain(URI domain)`
    `void` | `removeDomains(Collection<URI> domains)`
    `void` | `removeServiceProvider(ServiceProvider serviceProvider)`
    `void` | `setDescription(String description)`
    `void` | `setDomains(URI[] domains)`
    `void` | `setOauthConfiguration(OAuthConfiguration oauthConfiguration)`
    `void` | `setPublisher(Publisher publisher)`
    `void` | `setReferencedServiceProviderCatalogs(URI[] referencedServiceProviderCatalogs)`
    `void` | `setServiceProviders(ServiceProvider[] serviceProviders)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProviderCatalog

          public ServiceProviderCatalog()

  - ### Method Detail

    - #### addDomain

          public void addDomain(URI domain)

    - #### addDomains

          public void addDomains(Collection<URI> domains)

    - #### addServiceProvider

          public void addServiceProvider(ServiceProvider serviceProvider)

    - #### getDescription

          @OslcDescription(value="Description of the service provider catalog")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcReadOnly
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getDomains

          @OslcDescription(value="URIs of the OSLC domain specifications that may be implemented by referenced services")
          @OslcName(value="domain")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#domain")
          @OslcReadOnly
          @OslcTitle(value="Domains")
          public URI[] getDomains()

    - #### getOauthConfiguration

          @OslcDescription(value="Defines the three OAuth URIs required for a client to act as an OAuth consumer")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#oauthConfiguration")
          @OslcRange(value="http://open-services.net/ns/core#OAuthConfiguration")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="OAuth URIs")
          @OslcValueShape(value="resourceShapes/oauthConfiguration")
          @OslcValueType(value=LocalResource)
          public OAuthConfiguration getOauthConfiguration()

    - #### getPublisher

          @OslcDescription(value="Describes the software product that provides the implementation")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/publisher")
          @OslcRange(value="http://open-services.net/ns/core#Publisher")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Publisher")
          @OslcValueShape(value="resourceShapes/publisher")
          @OslcValueType(value=LocalResource)
          public Publisher getPublisher()

    - #### getReferencedServiceProviderCatalogs

          @OslcDescription(value="Additional service provider catalogs")
          @OslcName(value="serviceProviderCatalog")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProviderCatalog")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProviderCatalog")
          @OslcReadOnly
          @OslcTitle(value="Additional Service Provider Catalogs")
          @OslcValueShape(value="resourceShapes/serviceProviderCatalog")
          public URI[] getReferencedServiceProviderCatalogs()

    - #### getServiceProviders

          @OslcDescription(value="Service providers")
          @OslcName(value="serviceProvider")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Service Providers")
          @OslcValueShape(value="resourceShapes/serviceProvider")
          @OslcValueType(value=LocalResource)
          public ServiceProvider[] getServiceProviders()

    - #### getTitle

          @OslcDescription(value="Title of the service provider catalog")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcReadOnly
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### removeDomain

          public void removeDomain(URI domain)

    - #### removeDomains

          public void removeDomains(Collection<URI> domains)

    - #### removeServiceProvider

          public void removeServiceProvider(ServiceProvider serviceProvider)

    - #### setDescription

          public void setDescription(String description)

    - #### setDomains

          public void setDomains(URI[] domains)

    - #### setOauthConfiguration

          public void setOauthConfiguration(OAuthConfiguration oauthConfiguration)

    - #### setPublisher

          public void setPublisher(Publisher publisher)

    - #### setReferencedServiceProviderCatalogs

          public void setReferencedServiceProviderCatalogs(URI[] referencedServiceProviderCatalogs)

    - #### setServiceProviders

          public void setServiceProviders(ServiceProvider[] serviceProviders)

    - #### setTitle

          public void setTitle(String title)

Copyright © 2016. All rights reserved.